diff --git a/changelog b/changelog
index 6b98774..a9a8d1b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080331 tpd src/input/Makefile add integration regression testing
+20080331 tpd src/input/schaum12.input integrals of ax^2+bx+c
 20080330 tpd src/input/Makefile add integration regression testing
 20080330 tpd src/input/schaum11.input integrals of sqrt(a^2-x^2)
 20080330 tpd src/input/schaum10.input integrals of sqrt(x^2-a^2)
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index a1382e4..e42c5c0 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -357,7 +357,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     roman.regress     roots.regress    ruleset.regress  rules.regress \
     schaum1.regress   schaum2.regress  schaum3.regress  schaum4.regress \
     schaum5.regress   schaum6.regress  schaum7.regress  schaum8.regress \
-    schaum9.regress   schaum10.regress schaum11.regress \
+    schaum9.regress   schaum10.regress schaum11.regress schaum12.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
@@ -633,7 +633,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/schaum2.input  ${OUT}/schaum3.input    ${OUT}/schaum4.input \
        ${OUT}/schaum5.input  ${OUT}/schaum6.input    ${OUT}/schaum7.input \
        ${OUT}/schaum8.input  ${OUT}/schaum9.input    ${OUT}/schaum10.input \
-       ${OUT}/schaum11.input \
+       ${OUT}/schaum11.input ${OUT}/schaum12.input \
        ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input      ${OUT}/seccsc.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
@@ -937,7 +937,7 @@ DOCFILES= \
   ${DOC}/schaum5.input.dvi     ${DOC}/schaum6.input.dvi \
   ${DOC}/schaum7.input.dvi     ${DOC}/schaum8.input.dvi \
   ${DOC}/schaum9.input.dvi     ${DOC}/schaum10.input.dvi \
-  ${DOC}/schaum11.input.dvi \
+  ${DOC}/schaum11.input.dvi    ${DOC}/schaum12.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum12.input.pamphlet b/src/input/schaum12.input.pamphlet
new file mode 100644
index 0000000..6027801
--- /dev/null
+++ b/src/input/schaum12.input.pamphlet
@@ -0,0 +1,780 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum12.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.265~~~~~$\displaystyle
+\int{\frac{dx}{ax^2+bx+c}}$}
+$$\int{\frac{1}{ax^2+bx+c}}=
+\left\{
+\begin{array}{l}
+\displaystyle\frac{2}{\sqrt{4ac-b^2}}\tan^{-1}\frac{2ax+b}{\sqrt{4ac-b^2}}\\
+\displaystyle\frac{1}{\sqrt{b^2-4ac}}\ln\left(
+\frac{2ax+b-\sqrt{b^2-4ac}}{2ax+b+\sqrt{b^2-4ac}}\right)
+\end{array}
+\right.
+$$
+<<*>>=
+)spool schaum12.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 15
+aa:=integrate(1/sqrt(a*x^2+b*x+c),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                                 +--------------+
+--R                 +-+ +-+         |   2                   +-+
+--R              (2\|a \|c  - 2a x)\|a x  + b x + c  + 2a x\|c
+--R            + 
+--R                     2             +-+
+--R              (- 2a x  - b x - 2c)\|a
+--R         /
+--R                  +--------------+
+--R              +-+ |   2
+--R            2\|c \|a x  + b x + c  - b x - 2c
+--R    /
+--R        +-+
+--R       \|a
+--R     ,
+--R                 +--------------+
+--R           +---+ |   2               +---+ +-+
+--R          \|- a \|a x  + b x + c  - \|- a \|c
+--R    2atan(------------------------------------)
+--R                           a x
+--R    -------------------------------------------]
+--R                        +---+
+--R                       \|- a
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.266~~~~~$\displaystyle
+\int{\frac{x~dx}{ax^2+bx+c}}$}
+$$\int{\frac{x}{ax^2+bx+c}}=
+\frac{1}{2a}\ln(ax^2+bx+c)-\frac{b}{2a}\int{\frac{1}{ax^2+bx+c}}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 15
+aa:=integrate(x/sqrt(a*x^2+b*x+c),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                   +--------------+
+--R               +-+ |   2               2
+--R           (2b\|c \|a x  + b x + c  - b x - 2b c)
+--R        *
+--R           log
+--R                                     +--------------+
+--R                     +-+ +-+         |   2                   +-+
+--R                  (2\|a \|c  + 2a x)\|a x  + b x + c  - 2a x\|c
+--R                + 
+--R                         2             +-+
+--R                  (- 2a x  - b x - 2c)\|a
+--R             /
+--R                      +--------------+
+--R                  +-+ |   2
+--R                2\|c \|a x  + b x + c  - b x - 2c
+--R       + 
+--R                    +--------------+
+--R                +-+ |   2                   2         +-+ +-+
+--R         - 2b x\|a \|a x  + b x + c  + (4a x  + 2b x)\|a \|c
+--R    /
+--R                  +--------------+
+--R          +-+ +-+ |   2                                +-+
+--R       4a\|a \|c \|a x  + b x + c  + (- 2a b x - 4a c)\|a
+--R     ,
+--R
+--R                     +--------------+
+--R                 +-+ |   2               2
+--R           (- 2b\|c \|a x  + b x + c  + b x + 2b c)
+--R        *
+--R                       +--------------+
+--R                 +---+ |   2               +---+ +-+
+--R                \|- a \|a x  + b x + c  - \|- a \|c
+--R           atan(------------------------------------)
+--R                                 a x
+--R       + 
+--R                     +--------------+
+--R               +---+ |   2                   2        +---+ +-+
+--R         - b x\|- a \|a x  + b x + c  + (2a x  + b x)\|- a \|c
+--R    /
+--R                    +--------------+
+--R          +---+ +-+ |   2                               +---+
+--R       2a\|- a \|c \|a x  + b x + c  + (- a b x - 2a c)\|- a
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.267~~~~~$\displaystyle
+\int{\frac{x^2dx}{ax^2+bx+c}}$}
+$$\int{\frac{x^2}{ax^2+bx+c}}=
+\frac{x}{a}-\frac{b}{2a^2}\ln(ax^2+bx+c)+\frac{b^2-2ac}{2a^2}
+\int{\frac{1}{ax^2+bx+c}}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 15
+aa:=integrate(x^2/(a*x^2+b*x+c),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                    2
+--R           (2a c - b )
+--R        *
+--R           log
+--R                                               +-----------+
+--R                     2 2                    2  |          2         2        2
+--R                  (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (- 8a c + 2a b )x
+--R                + 
+--R                              3
+--R                  - 4a b c + b
+--R             /
+--R                   2
+--R                a x  + b x + c
+--R       + 
+--R                                          +-----------+
+--R                     2                    |          2
+--R         (- b log(a x  + b x + c) + 2a x)\|- 4a c + b
+--R    /
+--R           +-----------+
+--R         2 |          2
+--R       2a \|- 4a c + b
+--R     ,
+--R
+--R                                       +---------+
+--R                                       |        2
+--R                     2      (2a x + b)\|4a c - b
+--R         (- 4a c + 2b )atan(----------------------)
+--R                                           2
+--R                                   4a c - b
+--R       + 
+--R                                          +---------+
+--R                     2                    |        2
+--R         (- b log(a x  + b x + c) + 2a x)\|4a c - b
+--R    /
+--R           +---------+
+--R         2 |        2
+--R       2a \|4a c - b
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.268~~~~~$\displaystyle
+\int{\frac{x^m~dx}{ax^2+bx+c}}$}
+$$\int{\frac{x^m}{ax^2+bx+c}}=
+\frac{x^{m-1}}{(m-1)a}-\frac{c}{a}\int{\frac{x^{m-2}}{ax^2+bx+c}}-
+\frac{b}{a}\int{\frac{x^{m-1}}{ax^2+bx+c}}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 15
+aa:=integrate(x^m/(a*x^2+b*x+c),x)
+--R 
+--R
+--R           x         m
+--R         ++        %N
+--R   (1)   |   --------------- d%N
+--R        ++                2
+--R             c + %N b + %N a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.269~~~~~$\displaystyle
+\int{\frac{dx}{x(ax^2+bx+c)}}$}
+$$\int{\frac{1}{x(ax^2+bx+c)}}=
+\frac{1}{2c}\ln\left(\frac{x^2}{ax^2+bx+c}\right)-
+\frac{b}{2c}\int{\frac{1}{ax^2+bx+c}}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 15
+aa:=integrate(1/(x*(a*x^2+b*x+c)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R           b
+--R        *
+--R           log
+--R                                               +-----------+
+--R                     2 2                    2  |          2         2        2
+--R                  (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (- 8a c + 2a b )x
+--R                + 
+--R                              3
+--R                  - 4a b c + b
+--R             /
+--R                   2
+--R                a x  + b x + c
+--R       + 
+--R                                           +-----------+
+--R                   2                       |          2
+--R         (- log(a x  + b x + c) + 2log(x))\|- 4a c + b
+--R    /
+--R          +-----------+
+--R          |          2
+--R       2c\|- 4a c + b
+--R     ,
+--R
+--R                              +---------+
+--R                              |        2
+--R                   (2a x + b)\|4a c - b
+--R         - 2b atan(----------------------)
+--R                                  2
+--R                          4a c - b
+--R       + 
+--R                                           +---------+
+--R                   2                       |        2
+--R         (- log(a x  + b x + c) + 2log(x))\|4a c - b
+--R    /
+--R          +---------+
+--R          |        2
+--R       2c\|4a c - b
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.270~~~~~$\displaystyle
+\int{\frac{dx}{x^2(ax^2+bx+c)}}$}
+$$\int{\frac{1}{x^2(ax^2+bx+c)}}=
+\frac{b}{2c^2}\ln\left(\frac{ax^2+bx+c}{x^2}\right)-\frac{1}{cx}+
+\frac{b^2-2ac}{2c^2}\int{\frac{1}{ax^2+bx+c}}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 15
+aa:=integrate(1/(x^2*(a*x^2+b*x+c)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                    2
+--R           (2a c - b )x
+--R        *
+--R           log
+--R                                               +-----------+
+--R                     2 2                    2  |          2         2        2
+--R                  (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (- 8a c + 2a b )x
+--R                + 
+--R                              3
+--R                  - 4a b c + b
+--R             /
+--R                   2
+--R                a x  + b x + c
+--R       + 
+--R                                                      +-----------+
+--R                     2                                |          2
+--R         (b x log(a x  + b x + c) - 2b x log(x) - 2c)\|- 4a c + b
+--R    /
+--R            +-----------+
+--R         2  |          2
+--R       2c x\|- 4a c + b
+--R     ,
+--R
+--R                                         +---------+
+--R                                         |        2
+--R                     2        (2a x + b)\|4a c - b
+--R         (- 4a c + 2b )x atan(----------------------)
+--R                                             2
+--R                                     4a c - b
+--R       + 
+--R                                                      +---------+
+--R                     2                                |        2
+--R         (b x log(a x  + b x + c) - 2b x log(x) - 2c)\|4a c - b
+--R    /
+--R            +---------+
+--R         2  |        2
+--R       2c x\|4a c - b
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.271~~~~~$\displaystyle
+\int{\frac{dx}{x^n(ax^2+bx+c)}}$}
+$$\int{\frac{1}{x^n(ax^2+bx+c)}}=
+-\frac{1}{(n-1)cx^{n-1}}-
+\frac{b}{c}\int{\frac{1}{x^{n-1}(ax^2+bx+c)}}-
+\frac{a}{c}\int{\frac{1}{x^{x-2}(ax^2+bx+c)}}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 15
+aa:=integrate(1/(x^n*(ax^2+bx+c)),x)
+--R 
+--R
+--R                               x
+--R   (1)  - ------------------------------------------
+--R                       2                2   n log(x)
+--R          ((c + bx + ax )n - c - bx - ax )%e
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.272~~~~~$\displaystyle
+\int{\frac{dx}{(ax^2+bx+c)^2}}$}
+$$\int{\frac{1}{(ax^2+bx+c)^2}}=
+\frac{2xa+b}{(4ac-b^2)(ax^2+bx+c)}+
+\frac{2a}{4ac-b^2}\int{\frac{1}{ax^2+bx+c}}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 15
+aa:=integrate(1/(a*x^2+b*x+c)^2,x)
+--R 
+--R
+--R   (1)
+--R   [
+--R              2 2
+--R           (2a x  + 2a b x + 2a c)
+--R        *
+--R           log
+--R                                               +-----------+
+--R                     2 2                    2  |          2       2        2
+--R                  (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
+--R                + 
+--R                            3
+--R                  4a b c - b
+--R             /
+--R                   2
+--R                a x  + b x + c
+--R       + 
+--R                    +-----------+
+--R                    |          2
+--R         (2a x + b)\|- 4a c + b
+--R    /
+--R                                                        +-----------+
+--R           2       2  2              3         2    2   |          2
+--R       ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|- 4a c + b
+--R     ,
+--R                                           +---------+
+--R                                           |        2                +---------+
+--R       2 2                      (2a x + b)\|4a c - b                 |        2
+--R    (4a x  + 4a b x + 4a c)atan(----------------------) + (2a x + b)\|4a c - b
+--R                                               2
+--R                                       4a c - b
+--R    ----------------------------------------------------------------------------
+--R                                                             +---------+
+--R                2       2  2              3         2    2   |        2
+--R            ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|4a c - b
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.273~~~~~$\displaystyle
+\int{\frac{x~dx}{(ax^2+bx+c)^2}}$}
+$$\int{\frac{x}{(ax^2+bx+c)^2}}=
+-\frac{bx+2c}{(4ac-b^2)(ax^2+bx+c)}-
+\frac{b}{4ac-b^2}\int{\frac{1}{ax^2+bx+c}}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 15
+aa:=integrate(x/(a*x^2+b*x+c)^2,x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                 2    2
+--R           (a b x  + b x + b c)
+--R        *
+--R           log
+--R                                               +-----------+
+--R                     2 2                    2  |          2         2        2
+--R                  (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (- 8a c + 2a b )x
+--R                + 
+--R                              3
+--R                  - 4a b c + b
+--R             /
+--R                   2
+--R                a x  + b x + c
+--R       + 
+--R                      +-----------+
+--R                      |          2
+--R         (- b x - 2c)\|- 4a c + b
+--R    /
+--R                                                        +-----------+
+--R           2       2  2              3         2    2   |          2
+--R       ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|- 4a c + b
+--R     ,
+--R
+--R                                                  +---------+
+--R                                                  |        2
+--R                  2     2              (2a x + b)\|4a c - b
+--R         (- 2a b x  - 2b x - 2b c)atan(----------------------)
+--R                                                      2
+--R                                              4a c - b
+--R       + 
+--R                      +---------+
+--R                      |        2
+--R         (- b x - 2c)\|4a c - b
+--R    /
+--R                                                        +---------+
+--R           2       2  2              3         2    2   |        2
+--R       ((4a c - a b )x  + (4a b c - b )x + 4a c  - b c)\|4a c - b
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.274~~~~~$\displaystyle
+\int{\frac{x^2~dx}{(ax^2+bx+c)^2}}$}
+$$\int{\frac{x^2}{(ax^2+bx+c)^2}}=
+\frac{(b^2-2ac)x+bc}{a(4ac-b^2)(ax^2+bx+c)}+
+\frac{2c}{4ac-b^2}\int{\frac{1}{ax^2+bx+c}}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 15
+aa:=integrate(x^2/(a*x^2+b*x+c)^2,x)
+--R 
+--R
+--R   (1)
+--R   [
+--R              2   2                  2
+--R           (2a c x  + 2a b c x + 2a c )
+--R        *
+--R           log
+--R                                               +-----------+
+--R                     2 2                    2  |          2       2        2
+--R                  (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
+--R                + 
+--R                            3
+--R                  4a b c - b
+--R             /
+--R                   2
+--R                a x  + b x + c
+--R       + 
+--R                                +-----------+
+--R                     2          |          2
+--R         ((- 2a c + b )x + b c)\|- 4a c + b
+--R    /
+--R                                                            +-----------+
+--R           3     2 2  2      2         3       2 2      2   |          2
+--R       ((4a c - a b )x  + (4a b c - a b )x + 4a c  - a b c)\|- 4a c + b
+--R     ,
+--R
+--R                                                     +---------+
+--R                                                     |        2
+--R            2   2                  2      (2a x + b)\|4a c - b
+--R         (4a c x  + 4a b c x + 4a c )atan(----------------------)
+--R                                                         2
+--R                                                 4a c - b
+--R       + 
+--R                                +---------+
+--R                     2          |        2
+--R         ((- 2a c + b )x + b c)\|4a c - b
+--R    /
+--R                                                            +---------+
+--R           3     2 2  2      2         3       2 2      2   |        2
+--R       ((4a c - a b )x  + (4a b c - a b )x + 4a c  - a b c)\|4a c - b
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.275~~~~~$\displaystyle
+\int{\frac{x^m~dx}{(ax^2+bx+c)^n}}$}
+$$
+\begin{array}{lr}
+\displaystyle\int{\frac{x^m}{(ax^2+bx+c)^n}}=
+&\displaystyle-\frac{x^{m-1}}{(2n-m-1)a(ax^2+bx+c)^{n-1}}\\
+&\\
+&\displaystyle+\frac{(m-1)c}{(2n-m-1)a}\int{\frac{x^{m-2}}{(ax^2+bx+2)^n}}\\
+&\\
+&\displaystyle-\frac{(n-m)b}{(2n-m-1)a}\int{\frac{x^{m-1}}{(ax^2+bx+c)^n}}
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 15
+aa:=integrate(x^m/(a*x^2+b*x+c)^n,x)
+--R 
+--R
+--R           x           m
+--R         ++          %N
+--R   (1)   |   ------------------ d%N
+--R        ++                 2  n
+--R             (c + %N b + %N a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.276~~~~~$\displaystyle
+\int{\frac{x^{2n-1}~dx}{(ax^2+bx+c)^n}}$}
+$$\begin{array}{lr}
+\displaystyle\int{\frac{x^{2n-1}}{(ax^2+bx+c)^n}}=
+&\displaystyle\frac{1}{a}\int{\frac{x^{2n-3}}{(ax^2+bx+c)^{n-1}}}\\
+&\\
+&\displaystyle-\frac{c}{a}\int{\frac{x^{2n-3}}{(ax^2+bx+c)^n}}\\
+&\\
+&\displaystyle-\frac{b}{a}\int{\frac{x^{2n-2}}{(ax^2+bx+c)^n}}
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 12 of 15
+aa:=integrate(x^(2*n-1)/(a*x^2+b*x+c)^n,x)
+--R 
+--R
+--R           x        2n - 1
+--R         ++       %N
+--R   (1)   |   ------------------ d%N
+--R        ++                 2  n
+--R             (c + %N b + %N a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.277~~~~~$\displaystyle
+\int{\frac{dx}{x(ax^2+bx+c)^2}}$}
+$$\begin{array}{lr}
+\displaystyle\int{\frac{1}{x(ax^2+bx+c)^2}}=
+&\displaystyle\frac{1}{2c(ax^2+bx+2)}\\
+&\\
+&\displaystyle-\frac{b}{2c}\int{\frac{1}{(ax^2+bx+c)^2}}\\
+&\\
+&\displaystyle+\frac{1}{c}\int{\frac{1}{x(ax^2+bx+c)}}
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 15
+aa:=integrate(1/(x*(a*x^2+b*x+c)^2),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R               2         3  2        2     4           2    3
+--R           ((6a b c - a b )x  + (6a b c - b )x + 6a b c  - b c)
+--R        *
+--R           log
+--R                                               +-----------+
+--R                     2 2                    2  |          2         2        2
+--R                  (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (- 8a c + 2a b )x
+--R                + 
+--R                              3
+--R                  - 4a b c + b
+--R             /
+--R                   2
+--R                a x  + b x + c
+--R       + 
+--R                     2       2  2                3         2    2
+--R               ((- 4a c + a b )x  + (- 4a b c + b )x - 4a c  + b c)
+--R            *
+--R                      2
+--R               log(a x  + b x + c)
+--R           + 
+--R                 2        2  2               3         2     2
+--R             ((8a c - 2a b )x  + (8a b c - 2b )x + 8a c  - 2b c)log(x)
+--R           + 
+--R                              2     2
+--R             - 2a b c x + 4a c  - 2b c
+--R        *
+--R            +-----------+
+--R            |          2
+--R           \|- 4a c + b
+--R    /
+--R                                                                  +-----------+
+--R           2 3       2 2  2          3     3 2         4     2 3  |          2
+--R       ((8a c  - 2a b c )x  + (8a b c  - 2b c )x + 8a c  - 2b c )\|- 4a c + b
+--R     ,
+--R
+--R                  2          3  2           2      4            2     3
+--R           ((- 12a b c + 2a b )x  + (- 12a b c + 2b )x - 12a b c  + 2b c)
+--R        *
+--R                           +---------+
+--R                           |        2
+--R                (2a x + b)\|4a c - b
+--R           atan(----------------------)
+--R                               2
+--R                       4a c - b
+--R       + 
+--R                     2       2  2                3         2    2
+--R               ((- 4a c + a b )x  + (- 4a b c + b )x - 4a c  + b c)
+--R            *
+--R                      2
+--R               log(a x  + b x + c)
+--R           + 
+--R                 2        2  2               3         2     2
+--R             ((8a c - 2a b )x  + (8a b c - 2b )x + 8a c  - 2b c)log(x)
+--R           + 
+--R                              2     2
+--R             - 2a b c x + 4a c  - 2b c
+--R        *
+--R            +---------+
+--R            |        2
+--R           \|4a c - b
+--R    /
+--R                                                                  +---------+
+--R           2 3       2 2  2          3     3 2         4     2 3  |        2
+--R       ((8a c  - 2a b c )x  + (8a b c  - 2b c )x + 8a c  - 2b c )\|4a c - b
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.278~~~~~$\displaystyle
+\int{\frac{dx}{x^2(ax^2+bx+c)^2}}$}
+$$\begin{array}{lr}
+\displaystyle\int{\frac{1}{x^2(ax^2+bx+c)^2}}=
+&\displaystyle-\frac{1}{cx(ax^2+bx+c)}\\
+&\\
+&\displaystyle-\frac{3a}{c}\int{\frac{1}{(ax^2+bx+c)^2}}\\
+&\\
+&\displaystyle-\frac{2b}{c}\int{\frac{1}{x(ax^2+bx+c)^2}}
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 14 of 15
+aa:=integrate(1/(x^2*(a*x^2+b*x+c)^2),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                3 2     2 2       4  3      2   2       3     5  2
+--R             (6a c  - 6a b c + a b )x  + (6a b c  - 6a b c + b )x
+--R           + 
+--R                2 3       2 2    4
+--R             (6a c  - 6a b c  + b c)x
+--R        *
+--R           log
+--R                                               +-----------+
+--R                     2 2                    2  |          2         2        2
+--R                  (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (- 8a c + 2a b )x
+--R                + 
+--R                              3
+--R                  - 4a b c + b
+--R             /
+--R                   2
+--R                a x  + b x + c
+--R       + 
+--R                   2         3  3        2     4  2          2    3
+--R               ((4a b c - a b )x  + (4a b c - b )x  + (4a b c  - b c)x)
+--R            *
+--R                      2
+--R               log(a x  + b x + c)
+--R           + 
+--R                     2          3  3          2      4  2            2     3
+--R               ((- 8a b c + 2a b )x  + (- 8a b c + 2b )x  + (- 8a b c  + 2b c)x)
+--R            *
+--R               log(x)
+--R           + 
+--R                  2 2       2   2            2     3          3    2 2
+--R             (- 6a c  + 2a b c)x  + (- 7a b c  + 2b c)x - 4a c  + b c
+--R        *
+--R            +-----------+
+--R            |          2
+--R           \|- 4a c + b
+--R    /
+--R                                                                   +-----------+
+--R           2 4      2 3  3          4    3 3  2        5    2 4    |          2
+--R       ((4a c  - a b c )x  + (4a b c  - b c )x  + (4a c  - b c )x)\|- 4a c + b
+--R     ,
+--R
+--R                   3 2      2 2        4  3         2   2        3      5  2
+--R             (- 12a c  + 12a b c - 2a b )x  + (- 12a b c  + 12a b c - 2b )x
+--R           + 
+--R                   2 3        2 2     4
+--R             (- 12a c  + 12a b c  - 2b c)x
+--R        *
+--R                           +---------+
+--R                           |        2
+--R                (2a x + b)\|4a c - b
+--R           atan(----------------------)
+--R                               2
+--R                       4a c - b
+--R       + 
+--R                   2         3  3        2     4  2          2    3
+--R               ((4a b c - a b )x  + (4a b c - b )x  + (4a b c  - b c)x)
+--R            *
+--R                      2
+--R               log(a x  + b x + c)
+--R           + 
+--R                     2          3  3          2      4  2            2     3
+--R               ((- 8a b c + 2a b )x  + (- 8a b c + 2b )x  + (- 8a b c  + 2b c)x)
+--R            *
+--R               log(x)
+--R           + 
+--R                  2 2       2   2            2     3          3    2 2
+--R             (- 6a c  + 2a b c)x  + (- 7a b c  + 2b c)x - 4a c  + b c
+--R        *
+--R            +---------+
+--R            |        2
+--R           \|4a c - b
+--R    /
+--R                                                                   +---------+
+--R           2 4      2 3  3          4    3 3  2        5    2 4    |        2
+--R       ((4a c  - a b c )x  + (4a b c  - b c )x  + (4a c  - b c )x)\|4a c - b
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.279~~~~~$\displaystyle
+\int{\frac{dx}{x^m(ax^2+bx+c)^n}}$}
+$$\begin{array}{lr}
+\displaystyle\int{\frac{1}{x^m(ax^2+bx+c)^n}}=
+&\displaystyle-\frac{1}{(m-1)cx^{m-1}(ax^2+bx+c)^{n-1}}\\
+&\\
+&\displaystyle-\frac{(m+2n-3)a}{(m-1)c}\int{\frac{1}{x^{m-2}(ax^2+bx+c)^n}}\\
+&\\
+&\displaystyle-\frac{(m+n-2)b}{(m-1)c}\int{\frac{1}{x^{m-1}(ax^2+bx+c)^n}}
+\end{array}
+$$
+<<*>>=
+)clear all
+
+--S 15 of 15
+aa:=integrate(1/(x^m*(a*x^2+b*x+c)^n),x)
+--R 
+--R
+--R           x
+--R         ++            1
+--R   (1)   |   --------------------- d%N
+--R        ++     m              2  n
+--R             %N (c + %N b + %N a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p71
+\end{thebibliography}
+\end{document}
